### Virtual Method

# Gcr Prompt prompt_confirm_finish

#### Declaration [src]

    GcrPromptReply
    prompt_confirm_finish (
      GcrPrompt* prompt,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to prompt for confirmation.

`GCR_PROMPT_REPLY_CONTINUE` will be returned if the user confirms the prompt. The return value will also be `GCR_PROMPT_REPLY_CANCEL` if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrPromptReply`
| The reply from the prompt.